package com.ruoyi.web.modules.trading.controller;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.web.modules.trading.domain.BizMarketStall;
import com.ruoyi.web.modules.trading.service.IBizMarketStallService;

/**
 * 市场栏位管理
 */
@RestController
@RequestMapping("/tradeMarket/marketStall")
public class BizMarketStallController extends BaseController
{
    @Autowired
    private IBizMarketStallService bizMarketStallService;

    @PreAuthorize("@ss.hasPermi('tradeMarket:marketStall:list')")
    @GetMapping("/list")
    public TableDataInfo list(BizMarketStall query)
    {
        startPage();
        List<BizMarketStall> list = bizMarketStallService.selectBizMarketStallList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('tradeMarket:marketStall:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(bizMarketStallService.selectBizMarketStallById(id));
    }

    @PreAuthorize("@ss.hasPermi('tradeMarket:marketStall:add')")
    @Log(title = "市场栏位管理", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BizMarketStall row)
    {
        row.setCreateBy(getUsername());
        return toAjax(bizMarketStallService.insertBizMarketStall(row));
    }

    @PreAuthorize("@ss.hasPermi('tradeMarket:marketStall:edit')")
    @Log(title = "市场栏位管理", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BizMarketStall row)
    {
        row.setUpdateBy(getUsername());
        return toAjax(bizMarketStallService.updateBizMarketStall(row));
    }

    @PreAuthorize("@ss.hasPermi('tradeMarket:marketStall:remove')")
    @Log(title = "市场栏位管理", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(bizMarketStallService.deleteBizMarketStallByIds(ids, getUsername()));
    }
}
